﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Squarerootaxis
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }


    public class SquareRootScale : NumericalAxis
    {
        protected override void GenerateVisibleLabels()
        {
            var range = this.VisibleRange;
            double position = range.Start;
            int i = 1;
            while (position <= VisibleRange.End)
            {
                position = i*i;
                var label = new ChartAxisLabel(position, GetActualLabelContent(position), position);
                VisibleLabels.Add(label);
                i = i + Convert.ToInt32(Interval);
            }
        }
        object GetActualLabelContent(double position)
        {
            return Math.Round(position, 2).ToString(this.LabelFormat, CultureInfo.CurrentCulture);
        }
    }
}
